﻿using System;
using System.Windows;
using Microsoft.Phone.Controls;
//Для IsTrial
using Microsoft.Phone.Marketplace;
//Для показа страницы в Marketplace
using Microsoft.Phone.Tasks;
namespace P29_1
{
    public partial class MainPage : PhoneApplicationPage
    {
        //Для хранения результатов запроса о пробном режиме
        bool isInTrialMode;
        LicenseInformation licInf = new LicenseInformation();
        //Для того, чтобы открыть Marketplace со страницей информации о программе
        MarketplaceDetailTask mpDetail = new MarketplaceDetailTask();

        // Конструктор
        public MainPage()
        {
            InitializeComponent();
            //Узнаем, запущено ли приложение с пробной лицензией
            //В эмуляторе это будет всегда False
            isInTrialMode = licInf.IsTrial();
            //Для отладочных целей можем переключить isInTrialMode в значение true
            if (MessageBox.Show("Переключить в отладочных целях на пробный режим?", "Отладка", MessageBoxButton.OKCancel) == MessageBoxResult.OK)
            {
                isInTrialMode = true;
            }
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {

            //Если в пробном режиме
            if (isInTrialMode)
            {
                //Если достигли условия прекращения пробного режима
                if (Convert.ToInt32(textBlock1.Text) == 3)
                {
                    //Сообщаем, что пробный период окончен
                    MessageBox.Show("Вы достигли 3-го уровня, для того, чтобы продолжить играть, вам нужно приобрести полную версию программы");
                    //Показываем страницу Marketplace. При отладке здесь должно появиться сообщение об ошибке  Market Place Error 805a0194
                    mpDetail.Show();
                }
                //Если не достигли
                else
                {
                    CounterChange();
                }

            }
            //Если в обычном режиме
            else
            {
                CounterChange();
            }
        }
        //Реализация игрового процесса
        void CounterChange()
        {
            //Увеличим на 1 счётчик
            textBlock1.Text = Convert.ToString(Convert.ToInt32(textBlock1.Text) + 1);
        }
    }
}